/* Selector page */

#muzeum-main {
    flex: 1;              /* zabere zbytek místa */
    overflow-y: auto;     /* vertikální scroll uvnitř mainu */
    overflow-x: hidden; 
    max-width: 950px;  /* aby to neházelo horizontální scroll */
}

#cameras-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(10em, 1fr));
    gap: 0.5rem;
    width: 100%;
}

.camera-item {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    align-items: center;
    border-radius: 0.5rem;
    padding: 1rem;
    text-decoration: none;
}

.camera-thumb {
    width: 100%;
    aspect-ratio: 1/1;
    overflow: hidden;
    border-radius: 0.5rem;
}

.camera-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.4s ease;
}

.camera-thumb:hover img {
    transform: scale(1.1);
}

.camera-item span {
    margin-top: 0.7rem;
    font-size: 1rem;
    text-align: center;
    max-width: 80%;
    line-height: 1.5rem;
}

.camera-item:hover span {
    color: var(--accent);
}



/* Camera detail */

#camera-main {
    padding: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1em;
    max-width: 1000px;
}

#upper-section {
    display: flex;
    align-items: stretch;
    gap: 3rem;
    max-width: 100%;   /* nebo jiná rozumná hodnota */
    width: 100%;
    justify-content: space-around;
    padding: 1em;
    box-sizing: border-box;
}

#photo-left {
    max-width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#photo-left img {
    max-width: 100%;
    max-height: 100%;   /* fotka se nikdy nepřetáhne přes výšku info bloku */
    object-fit: contain;
    border-radius: 1rem;
}

#info-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#info-right h1 {
    font-size: 2.5rem;
    max-width: 90%;
}

#info-right #details {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-template-columns: 1fr 1fr;
    gap: 1.5em;
    max-width: 600px;
    font-size: larger;
}

#details .key {
    font-style: italic;
    font-weight: lighter;
    font-size: smaller;
    color: var(--unimportant);
} 

#description {
    padding: 1em;
    padding-inline: 7%;
    max-width: 80%;
    align-self: center;
    font-style: italic;
    color: var(--unimportant);
    border-block: 1px solid var(--border);
    line-height: 2em;
}

#camera-gallery .photo-grid {
    margin: 1em;
    max-width: 100%;
}

#nav-section {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 1em;
    padding-bottom: 0;
    box-sizing: border-box;
}

#nav-section a {
    text-decoration: none;
}